Bug 811144 - RPM description is not descriptive
RPM description is not descriptive
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: perl-Class-ISA (Show other bugs)
16
Unspecified Unspecified
unspecified Severity low
: ---
: ---
Assigned To: Petr Šabata
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-10 05:31 EDT by Tim Landscheidt
Modified: 2012-04-27 01:58 EDT (History)
4 users (show)

See Also:
Fixed In Version: perl-Class-ISA-0.36-1006.fc16
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-04-18 18:53:59 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tim Landscheidt 2012-04-10 05:31:42 EDT
Description of problem:

The RPM description doesn't describe the package.


Version-Release number of selected component (if applicable):

0.36-1005.fc16


How reproducible:

Always :-).


Steps to Reproduce:
1. rpm -qi perl-Class-ISA
  
Actual results:

| Suppose you have a class (like Food::Fish::Fishstick) that is derived, via
| its @ISA, from one or more superclasses (as Food::Fish::Fishstick is from
| Food::Fish, Life::Fungus, and Chemicals), and some of those superclasses
| may themselves each be derived, via its @ISA, from one or more superclasses
| (as above).

(That's all.)


Expected results:

Something understandable.


Additional info:
Comment 1 Petr Šabata 2012-04-10 05:58:51 EDT
I agree adding the other two paragraphs from upstream description would help a lot:

Suppose you have a class (like Food::Fish::Fishstick) that is derived, via its @ISA, from one or more superclasses (as Food::Fish::Fishstick is from Food::Fish, Life::Fungus, and Chemicals), and some of those superclasses may themselves each be derived, via its @ISA, from one or more superclasses (as above).

When, then, you call a method in that class ($fishstick->calories), Perl first searches there for that method, but if it's not there, it goes searching in its superclasses, and so on, in a depth-first (or maybe "height-first" is the word) search. In the above example, it'd first look in Food::Fish, then Food, then Matter, then Life::Fungus, then Life, then Chemicals.

This library, Class::ISA, provides functions that return that list -- the list (in order) of names of classes Perl would search to find a method, with no duplicates.
Comment 2 Marcela Mašláňová 2012-04-10 06:05:41 EDT
The description is trying to explain you classes and superclasses on an example, which is more than most of man pages do.

I can add another two paragraphs from description if it's any help
http://search.cpan.org/dist/Class-ISA/lib/Class/ISA.pm

Would it solve your problem?
Comment 3 Tim Landscheidt 2012-04-12 18:17:43 EDT
How about just the third paragraph rephrased:

| Class::ISA provides functions that return the list (in order) of names of (super-)classes Perl would search to find a method, with no duplicates.
Comment 4 Petr Šabata 2012-04-13 07:22:02 EDT
Changed to:

This library provides functions that return the list (in order) of names of
(super-)classes Perl would search to find a method, with no duplicates.
Comment 5 Fedora Update System 2012-04-13 07:22:56 EDT
perl-Class-ISA-0.36-1007.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/perl-Class-ISA-0.36-1007.fc17
Comment 6 Fedora Update System 2012-04-13 21:45:02 EDT
Package perl-Class-ISA-0.36-1007.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing perl-Class-ISA-0.36-1007.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-5866/perl-Class-ISA-0.36-1007.fc17
then log in and leave karma (feedback).
Comment 7 Tim Landscheidt 2012-04-14 14:10:38 EDT
Thanks.  Unfortunately I noticed just now that I filed the bug against F17 instead of F16.  Could this patch of uttermost importance be backported there as well? :-)
Comment 8 Petr Šabata 2012-04-16 04:53:53 EDT
(In reply to comment #7)
> Thanks.  Unfortunately I noticed just now that I filed the bug against F17
> instead of F16.  Could this patch of uttermost importance be backported there
> as well? :-)

I guess it could.
Comment 9 Fedora Update System 2012-04-16 04:59:16 EDT
perl-Class-ISA-0.36-1006.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/perl-Class-ISA-0.36-1006.fc16
Comment 10 Fedora Update System 2012-04-18 18:53:59 EDT
perl-Class-ISA-0.36-1007.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 11 Fedora Update System 2012-04-27 01:58:43 EDT
perl-Class-ISA-0.36-1006.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.